package rozwiazania_zadan.r1.z05_choinka;

import java.util.Scanner;

public class Choinka1 {

	public static void main(String[] args) {
		// Napisy powinny być jednakowej długości
		final String PUSTE = " ";
		final String ZNAK = "*";
		
		Scanner sc = new Scanner(System.in);
		System.out.print("Podaj wysokość choinki: ");
		int h = sc.nextInt();
		for(int w = 0; w < h; w++) {
			for(int k = 1; k <= h-w; k++) {
				System.out.print(PUSTE);
			}
			for(int k = 1; k <= 2*w+1; k++) {
				System.out.print(ZNAK);
			}
			// ostatni for opcjonalnie, aby linie były jednakowej długości przy zaznaczaniu itp.
			// albo gdy PUSTE będzie czymś innym niż spacja
			for(int k = 1; k <= h-w; k++) {
				System.out.print(PUSTE);
			}
			System.out.println();
		}
	}

}
